couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Randall Leeds <randall.le...@gmail.com>
Subject Re: SpiderMonkey Version Support
Date Wed, 29 Jun 2011 19:32:04 GMT
On Wed, Jun 29, 2011 at 11:53, Dirkjan Ochtman <dirkjan@ochtman.nl> wrote:
> On Wed, Jun 29, 2011 at 18:46, Jan Lehnardt <jan@apache.org> wrote:
>> Except if people have trouble installing / upgrading CouchDB, it leaves
>> a bad taste. I'd rather not put users between a rock (1.7-based
>> SpiderMonkey version) and a hard place (CouchDB only supporting 1.8.5
>> and up)
>
> Right. Also, if 1.2 takes a long time in coming (like some of the
> previous releases), it would be nice if we'd get to use the state of
> the art in JS sooner.
>
> Cheers,
>
> Dirkjan
>

I'm going to go forward with the following plan:
1) Make trunk compatible with SpiderMonkey 1.7 again.
2) Leave 1.1.x alone.*

Let me know if this presents to anyone as egregiously offensive.

* I'm sorry if this annoys anyone, but I don't want to backport
something that isn't a bug fix. That's just how it's going to be. 50%
policy, 50% time.

Mime
View raw message